Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SchemaModelGroup

All Superinterfaces:
  SchemaAnnotated, SchemaComponent

All Known Implementing Classes:
  SchemaModelGroupImpl

    public interface SchemaModelGroup

extends SchemaComponent, SchemaAnnotated

Represents a model group.

A model group is a syntactic construct, not a part of the logical model. For example, types declared within a model group become local to the type that uses the group - they're not local to the model group itself. Therefore in the logical model of a schema type system, a model group doesn't represent anything. Its contents are merged into the logical model at parse time.

Nested Class Summary
`static class` | `SchemaModelGroup.Ref` Used to allow on-demand loading of model groups.

Field Summary

Fields inherited from interface org.apache.xmlbeans.SchemaComponent
`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

Method Summary
`int` | `getComponentType()` Returns SchemaComponent.GROUP.
`javax.xml.namespace.QName` | `getName()` The name of the model group.
`java.lang.Object` | `getUserData()` Returns user-specific information.

Methods inherited from interface org.apache.xmlbeans.SchemaComponent
`getComponentRef, getSourceName, getTypeSystem`

Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated
`getAnnotation`

Method Detail

### getComponentType

    int getComponentType()

  Returns SchemaComponent.GROUP.

  Specified by:
    `getComponentType` in interface `SchemaComponent`

### getName

    javax.xml.namespace.QName getName()

  The name of the model group.

  Specified by:
    `getName` in interface `SchemaComponent`

### getUserData

    java.lang.Object getUserData()

  Returns user-specific information.

  See Also:
    `SchemaBookmark`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD